%define anolis_release 2

%global srcname async-timeout
%global common_desc asyncio-compatible timeout context manager\
The context manager is useful in cases when you want to apply timeout\
logic around block of code or in cases when asyncio.wait_for() is not \
suitable. Also it's much faster than asyncio.wait_for() because timeout\
doesn't create a new task.

Name:           python-%{srcname}
Version:        4.0.2
Release:        %{anolis_release}%{?dist}
Summary:        An asyncio-compatible timeout context manager

License:        ASL 2.0
URL:            https://github.com/aio-libs/async-timeout
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch

%description
%{common_desc}

# This module is Python 3 only
%package -n python3-%{srcname}
Summary:        %{summary}

BuildRequires:  python3-devel

%description -n python3-%{srcname}
%{common_desc}

%prep
%autosetup -n %{srcname}-%{version}
# remove pytest coverage flags
sed -e '/^addopts/d' -i setup.cfg

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files async_timeout

%check
%pyproject_check_import

%files -n python3-%{srcname} -f %{pyproject_files}

%changelog
* Wed Mar 13 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 4.0.2-2
- Rebuild with python3.11

* Fri May 05 2023 Funda Wang <fundawang@yeah.net> - 4.0.2-1
- Import package for anolis 23
